nukeSEO.com - PHPNuke SEO Search engine optimization, professional tools including nukeSEO, nukeSPAM, nukeFEED, nukePIE, nukeWYSIWYG and more

 

. Welcome to nukeSEO.com  ! 
.
.
.

Tag This



.
nukeSEO.com: Forums


 Forum FAQForum FAQ   SearchSearch   UsergroupsUsergroups   ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Several problems with installing in PHPNuke 7.6pl3.1
 
 
Post new topic   Reply to topic    nukeSEO.com Forum Index -> nukeWYSIWYG (tm)
View previous topic :: View next topic  
Author Message
zeromechanic
webmaster


Joined: Mar 12, 2006
Posts: 9
Location: Netherlands

PostPosted: Mon Mar 13, 2006 3:17 am    Post subject: Several problems with installing in PHPNuke 7.6pl3.1 Reply with quote

Great work!

When i tried to install nukeWYSIWYG in 7.6pl3.1, in encountered the following problems

in mainfile.php :
Code:
@include_once(INCLUDE_PATH."includes/kses/kses.php");

@include_once(INCLUDE_PATH."includes/FCKeditor/fckeditor.php");


gives include errors, file not found
When I remove INCLUDE_PATH. , Then this problem is solved

(above is working in RavenNuke, but not in 7.6pl3.1)

Next problem :
Displaying page not found in textarea's

Found cause in fckeditor.php :
Code:
$strBP = dirname($_SERVER['PHP_SELF']);

      if ($strBP{strlen($strBP)-1} != "/") $strBP   .= "/";
      $strBP .= 'includes/FCKeditor/';


this is giving : Only registered users can see links on this board! Get registered or login! can't find file
and not : Only registered users can see links on this board! Get registered or login!
which gives the page not found error

when i comment out :
Code:
//$strBP = dirname($_SERVER['PHP_SELF']);

      //if ($strBP{strlen($strBP)-1} != "/") $strBP   .= "/";
      $strBP = 'includes/FCKeditor/';



Everything is working perfectly
Above is also a problem in RavneNuke(latest version)

Is this a common error, or just my mistake.
Or because i'm testing on a local server
I followed the instructions provided in the readme.txt
Will there be any (security) problems with the editor when i leave the changes i made, or do you have a better solution

I am testing on a local server with apache 1.3 and php 4.4.2(?)
(easyphp1.8, upgraded php version)

grtz zero
  
Back to top
View user's profile Send private message
kguske
Site Admin
Site Admin


Joined: May 12, 2005
Posts: 875

PostPosted: Mon Mar 13, 2006 6:24 am    Post subject: Re: Several problems with installing in PHPNuke 7.6pl3.1 Reply with quote

You might have an old 3.1 patch (there were multiple versions. There is some code that defines the include path missing from the mainfile. If you have RavenNuke, you can find it there.
  
Back to top
View user's profile Send private message Visit poster's website
kguske
PostPosted: Mon Mar 13, 2006 6:33 am    Post subject: Re: Several problems with installing in PHPNuke 7.6pl3.1 Reply with quote

Regarding the second error, it has been found in other places, but not that common, possibly due to the requirements. I think we posted that fix here in the forums.

We tested that on several servers, but apparently it doesn't work on all OS / PHP version combinations. The goal of that code was to eliminate the requirement for touching the code in the event of a subdomain or subdirectory.

Thanks for posting this, since it will hopefully help others.
  
Back to top
zeromechanic
PostPosted: Mon Mar 13, 2006 6:51 am    Post subject: Re: Several problems with installing in PHPNuke 7.6pl3.1 Reply with quote

thnx for the reply,

I wil look into the patch3.1 tonight

I thought i had the latest one ( keeping uptodate as good as possible)
from nukeresources.

But i recently downloaded the latest version from phpnuke-nederland.com for local testing en creating.

perhaps that has an old patch, didn't check that.

kguske wrote:
I think we posted that fix here in the forums.

cannot find it in this forum.

keep you posted
  
Back to top
kguske
PostPosted: Mon Mar 13, 2006 9:11 pm    Post subject: Re: Several problems with installing in PHPNuke 7.6pl3.1 Reply with quote

It may have been posted at RavenPHPScripts.com...or maybe it was something I remember from trading emails with someone...


Let me know what you find...thanks!
  
Back to top
zeromechanic
PostPosted: Wed Mar 15, 2006 5:06 pm    Post subject: Re: Several problems with installing in PHPNuke 7.6pl3.1 Reply with quote

found it :
Only registered users can see links on this board! Get registered or login!

The first problem:
the INCLUDE_PATH.

is added in the 3.2 patch.
did not install this, there are some differences in file dates
bbtonuke18-19 has newer files than the patch 3.2 and vice versa
waiting for chatserv to check.corrct this

so probably add this 2 problems to the readme.txt.

edit
  
Back to top
Display posts from previous:       
Post new topic   Reply to topic    nukeSEO.com Forum Index -> nukeWYSIWYG (tm) All times are GMT - 5 Hours
 
 Page 1 of 1

 

Jump to:   
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum

Powered by phpBB © 2001-2008 phpBB Group


Page Generation: 0.13 Seconds